<?php
$name = "JoomShopping addon order gutschrift";
$element = "order_gutschrift";
$version = "2.2.7";
$cache = addslashes('{"creationDate":"08.10.2018","author":"MAXXmarketing GmbH","authorEmail":"marketing@maxx-marketing.net","authorUrl":"http://www.webdesigner-profi.de","version":"'.$version.'"}');

$addon = JSFactory::getTable('addon');
$addon->loadAlias($element);

$addon->installJoomlaExtension(array('name'=>$name,'type'=>'plugin','element'=>$element,'folder'=>'jshoppingadmin','client_id'=>0,'enabled'=>1,'access'=>1,'protected'=>0,'manifest_cache'=>$cache));
$addon->installJoomlaExtension(array('name'=>$name,'type'=>'plugin','element'=>$element,'folder'=>'jshoppingorder','client_id'=>0,'enabled'=>1,'access'=>1,'protected'=>0,'manifest_cache'=>$cache));

$addon->addFieldTable('#__jshopping_orders', 'gutschrift_number', 'int not null');

$addon->set('name',$name);
$addon->set('version',$version);
$addon->set('uninstall','/components/com_jshopping/addons/'.$element.'/uninstall.php');
$addon->store();


$db = \JFactory::getDBO();
$query = $db->getQuery(true);
$query->select('id')
	  ->from($db->qn('#__jshopping_configs'))
	  ->where($db->qn('key').'='.$db->q('next_gutschrift_number'));
$db->setQuery($query);
$cid = $db->loadResult();
if (!$cid) {
	$key = 'next_gutschrift_number';
	$value = '1';
	$config_id = 1;	
	$query = $db->getQuery(true);
	$query->insert($db->qn('#__jshopping_configs'))
		->columns($db->qn(['key', 'value', 'config_id']))
		->values(implode(',', [$db->q($key), $db->q($value), $db->q($config_id)]));
	$db->setQuery($query);
	$db->execute();
}

